#!/bin/sh -eu

. install2-init-functions

PAM_DIR="$destdir/etc/pam.d"
PAM_SELINUX_STR='session		required	pam_selinux.so'

sed -ri "/^session[[:blank:]]+substack[[:blank:]]+system-auth/i $PAM_SELINUX_STR open" "$PAM_DIR/common-login"

for i in login gdm; do
	sed -ri "/^-?session[[:blank:]]+optional[[:blank:]]+pam_console\.so/{i $PAM_SELINUX_STR restore
			a $PAM_SELINUX_STR open
			}" "$PAM_DIR/$i"
done
